# Thank you for contributing!

Read this file carefully before contributing to the project. It's important that everyone follows these rules to ensure smooth contribution.

## General workflow

Since the project is under version 1.0.0, the master branch can be quite unstable, and even unusable. For this reason, I recommend you stick to the published
releases, unless you intend on helping out with the project.

New features are commited directly to the ``master`` branch, while translations are commited to a special service branch, merged onto ``translate``, tested, and
merged back to master. Above version 1.0.0, new features should follow the same procedure as translations.

## Before commiting

Before commiting, make sure your code adheres to the Laravel coding guidelines, as well as PSR-4. I'll personally review and merge each PR.
Thank you for your interest!


# Bug reports

As always, bug reports should stick to the bug report template. GitHub makes this easy for you by letting you choose which issue template you'd like to use
before reporting an isuse. This helps everyone stay in the same page.

Issues published without a template might take longer to be resolved, or may be ignored and marked ``wontfix``.


# Licensing

Any contributions you make will be under the GNU GPL v3 license, which is the license that covers this project.
